//  Demo 16: MovingSquareThreadList.java
//
//    A Linked List of MovingSquareThread Objects.
//
//             by Charles W. Neville
//      Copyright Charles W. Neville, July, 1999

// Another good example of a linked list of objects is given in the
// CS 290 -- Java EightQueens.java demo.

import MovingSquareThread;

public class MovingSquareThreadList {

   public MovingSquareThread mst;
   public MovingSquareThreadList next;

   // Constructor: create a new MovingSquareThreadList node
   public MovingSquareThreadList(MovingSquareThread mst) {

       this.mst = mst;
       this.next = null;  // not really necessary in Java, but
                          // good form

   } // Constructor MovingSquareThreadList()

   public MovingSquareThreadList addToFront(
                                      MovingSquareThreadList mstl) {

       mstl.next = this;  // Add mstl to our front
       return mstl;       // Return new front to our caller for 
                          // his or her use. See next demo for 
                          // an example.

   } // addToFront()

   // no other methods in this class because it is targeted at the
   // next demo, but a more complete class would include the usual
   // linked list methods.

} // class MovingSquareThreadList

